<?php
require_once("../config/conexion.php");
require_once("../models/Institucion.php");
require_once("../models/Permisos.php");
$institucion = new Institucion();
/* =============================================
  JAVASCRIPT
  ============================================= */
switch ($_GET["op"]) {
    case "consultar_institucion":
        $datos = $institucion->Institucion_por_ID($_POST["instituciondbk"]);
        if (is_array($datos) == true and count($datos) <> 0) {
            foreach ($datos as $row) {
                $output["instituciondbk"] = $row["instituciondbk"];
                $output["razon_social"] = $row["razon_social"];
                $output["ruc"] = $row["ruc"];
                $output["domicilio"] = $row["domicilio"];
                $output["telefono"] = $row["telefono"];
                $output["email"] = $row["email"];                
                $output["actividad"] = $row["actividad"];
                $output["tipo"] = $row["tipo"];
                $output["sector_economico"] = $row["sector_economico"];
            }
            echo json_encode($output);
        }
        break;
    case "listar":
        $datos = $institucion->Consultar($_GET["fil"]);
        $data = Array();
        $permiso = new Permisos();
        $resultado = $permiso->Permisos_por_Perfil("INSTITUCION", $_SESSION["perfil"]);
        foreach ($resultado as $row) {
            $estado = $row["estado"];
            $actualizar = $row["actualizar"];
            $eliminar = $row["eliminar"];
            $contacto = $row["contacto"];
            $leer = $row["leer"];
        }
        $accesos = "";
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["instituciondbk"];
            $sub_array[] = $row["razon_social"];
            $sub_array[] = $row["ruc"];
            $sub_array[] = $row["telefono"];
            $sub_array[] = $row["email"];
            if ($estado == 1) {
                if ($row["estado"] != "INACTIVO") {
                    $sub_array[] = '<td><button class="btn btn-success btn-xs btnActivarInstitucion" idInstitucion="' . $row["instituciondbk"] . '" estadoInstitucion="INACTIVO">Activo</button></td>';
                } else {
                    $sub_array[] = '<td><button class="btn btn-danger btn-xs btnActivarInstitucion" idInstitucion="' . $row["instituciondbk"] . '" estadoInstitucion="ACTIVO">Inactivo</button></td>';
                }
            }
            if ($actualizar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="editar(' . $row["instituciondbk"] . ');" id="' . $row["instituciondbk"] . '" class="btn btn-outline-warning btn-icon"><div><i class="fa fa-edit"></i></div></button>';
            }
            if ($eliminar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="eliminar(' . $row["instituciondbk"] . ');" id="' . $row["instituciondbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>';
            }
            $sub_array[] = $accesos;
            $data[] = $sub_array;
            $accesos = "";
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;   
    case "guardar":
        $datos = array("tabla" => "prac_institucion",
            "instituciondbk" => $_POST["instituciondbk"],
            "razon_social" => $_POST["razon_social"],
            "ruc" => $_POST["ruc"],
            "domicilio" => $_POST["domicilio"],
            "telefono" => $_POST["telefono"],
            "email" => $_POST["email"],
            "actividad" => $_POST["actividad"], 
            "tipo" => $_POST["tipo"],
            "sector_economico" => $_POST["sector_economico"]
        );
        $institucion->mdlActualizarInstitucion($datos);
        break;     
    case "estado":
        if (isset($_POST["activarId"]) && isset($_POST["activarInstitucion"])) {
            $datos = array("tabla" => "prac_institucion",
                "instituciondbk" => $_POST["activarId"],
                "estado" => $_POST["activarInstitucion"]
            );
            $institucion->mdlActualizarEstado($datos);
        }
        break;  
    case "eliminar_institucion":
        $datos = $institucion->Eliminar_por_ID($_POST["instituciondbk"]);
        break;     
    case "comboInstitucion":
        $datos = $institucion->Consultar("all");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['instituciondbk'] . "'>" . $row['razon_social'] . " - ".$row['ruc']."</option>";
            }
            echo $html;
        }
        break;   
    case "comboTipo":
        $datos = $institucion->Consultar("all");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['carreradbk'] . "'>" . $row['descripcion'] . " - ".$row['tipo']."</option>";
            }
            echo $html;
        }
        break;    
}
?>

